<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): OptionSpec Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_option_spec.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_option_spec-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OptionSpec Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a72f0af5f4278249d4792164999bd17a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72f0af5f4278249d4792164999bd17a0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>OptionSpec</b> (const char *decl=NULLSTR)</td></tr>
<tr class="separator:a72f0af5f4278249d4792164999bd17a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2565f48e4fdda86cf21f505ac502aa1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2565f48e4fdda86cf21f505ac502aa1c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>OptionSpec</b> (const <a class="el" href="class_option_spec.html">OptionSpec</a> &amp;cp)</td></tr>
<tr class="separator:a2565f48e4fdda86cf21f505ac502aa1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfe245135082ddccccf8446ffda43f44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfe245135082ddccccf8446ffda43f44"></a>
<a class="el" href="class_option_spec.html">OptionSpec</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="class_option_spec.html">OptionSpec</a> &amp;cp)</td></tr>
<tr class="separator:acfe245135082ddccccf8446ffda43f44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdbef40457147ebc490e47a4352b14d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abdbef40457147ebc490e47a4352b14d8"></a>
<a class="el" href="class_option_spec.html">OptionSpec</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const char *decl)</td></tr>
<tr class="separator:abdbef40457147ebc490e47a4352b14d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8fba549eb86261a73b08133c8159b03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8fba549eb86261a73b08133c8159b03"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator const char *</b> ()</td></tr>
<tr class="separator:ad8fba549eb86261a73b08133c8159b03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40960e8e3b2a0bdac8f9660490fced29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40960e8e3b2a0bdac8f9660490fced29"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isNULL</b> (void) const </td></tr>
<tr class="separator:a40960e8e3b2a0bdac8f9660490fced29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7354abf2cf960b4fb04dd12b9af8b4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7354abf2cf960b4fb04dd12b9af8b4a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isSyntaxError</b> (const char *name) const </td></tr>
<tr class="separator:af7354abf2cf960b4fb04dd12b9af8b4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6173a6227a46737c098e6b4a4639bb93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6173a6227a46737c098e6b4a4639bb93"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isHiddenOpt</b> (void) const </td></tr>
<tr class="separator:a6173a6227a46737c098e6b4a4639bb93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb47e65f521c9e6fd2af9fda4cef0ab4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb47e65f521c9e6fd2af9fda4cef0ab4"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><b>OptChar</b> (void) const </td></tr>
<tr class="separator:acb47e65f521c9e6fd2af9fda4cef0ab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5550b218a28182456721dc0b643b6be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5550b218a28182456721dc0b643b6be"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>LongOpt</b> (void) const </td></tr>
<tr class="separator:ab5550b218a28182456721dc0b643b6be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfc476b5ee196c5d82b4240b78fd8c8b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfc476b5ee196c5d82b4240b78fd8c8b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isValRequired</b> (void) const </td></tr>
<tr class="separator:abfc476b5ee196c5d82b4240b78fd8c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33cba227052b25fe9efceb7fef1f1365"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33cba227052b25fe9efceb7fef1f1365"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isValOptional</b> (void) const </td></tr>
<tr class="separator:a33cba227052b25fe9efceb7fef1f1365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af817d3076ec658caca74c902a42f8915"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af817d3076ec658caca74c902a42f8915"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isNoArg</b> (void) const </td></tr>
<tr class="separator:af817d3076ec658caca74c902a42f8915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1a35e3829401b802c7832de5513df0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1a35e3829401b802c7832de5513df0f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isList</b> (void) const </td></tr>
<tr class="separator:aa1a35e3829401b802c7832de5513df0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af73784d36f9de54d05c0d69dfbaaaf47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af73784d36f9de54d05c0d69dfbaaaf47"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>isValTaken</b> (void) const </td></tr>
<tr class="separator:af73784d36f9de54d05c0d69dfbaaaf47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60cfaa530b015ab79187260ec02f26e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae60cfaa530b015ab79187260ec02f26e"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><b>Format</b> (char *buf, unsigned optctrls) const </td></tr>
<tr class="separator:ae60cfaa530b015ab79187260ec02f26e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>options.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
